package jrummikub.model;

public interface ITable extends IStoneTray<StoneSet> {

	/**
	 * Removes {@link Stone} from the Table
	 * 
	 * @param stone
	 *          stone to pick up
	 */
	public void pickUpStone(Stone stone);

	/** Tests the Table for rule conflicts by checking all the {@link StoneSet} */
	public boolean isValid();

	StoneSet findStoneSet(Stone stone);

}